#!/bin/bash

#  breezed is a fan speed control daemon for Linux computers.
#
#  Copyright (c) 2008 Francois Fleuret
#  Written by Francois Fleuret <francois@fleuret.org>
#
#  This file is part of breezed.
#
#  breezed is free software: you can redistribute it and/or modify it
#  under the terms of the GNU General Public License version 3 as
#  published by the Free Software Foundation.
#
#  breezed is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with breezed.  If not, see <http://www.gnu.org/licenses/>.

### BEGIN INIT INFO
# Provides:          breezed
# Required-Start:
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Fan control daemon
### END INIT INFO

DAEMON="/usr/local/bin/breezed"

test -x $DAEMON || exit 0

. /lib/lsb/init-functions

case "$1" in

    start)
        log_daemon_msg "Starting fan control daemon" "breezed"
        start-stop-daemon --start --background --quiet \
            --make-pidfile --pidfile /var/run/breezed.pid \
            --exec ${DAEMON}
        log_end_msg $?
	;;

    restart)
        $0 stop
        $0 start
        ;;

    stop)
        log_daemon_msg "Stopping fan control daemon" "breezed"
        start-stop-daemon --stop --quiet \
            --pidfile /var/run/breezed.pid
        log_end_msg $?
	;;

    *)
	echo "Usage: breezed.sh [start|restart|stop]" >&2
	exit 3
	;;
esac

######################################################################
